### Method

# Clutter ShaderEffect set_uniform_value

#### Declaration [src]

    void
    clutter_shader_effect_set_uniform_value (
      ClutterShaderEffect* effect,
      const gchar* name,
      const GValue* value
    )

#### Description [src]

Sets `value` as the payload for the uniform `name` inside the shader effect

The `GType` of the `value` must be one of: `G_TYPE_INT`, for a single integer value; `G_TYPE_FLOAT`, for a single floating point value; `CLUTTER_TYPE_SHADER_INT`, for an array of integer values; `CLUTTER_TYPE_SHADER_FLOAT`, for an array of floating point values; and `CLUTTER_TYPE_SHADER_MATRIX`, for a matrix of floating point values. It also accepts `G_TYPE_DOUBLE` for compatibility with other languages than C.

#### Parameters

`name`

  Type: `const gchar*`

  The name of the uniform to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  A `GValue` with the value of the uniform to set.

  The data is owned by the caller of the method.